# PSF-LoginServer - master - net.psforever.objects.zones.blockmap.SectorGroup
PSF - LoginServer - master - net.psforever.objects.zones.blockmap.SectorGroup
Keywords: PSF LoginServer master net.psforever.objects.zones.blockmap.SectorGroup

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- BlockMap
- BlockMapEntity
- BlockMapEntry
- Sector
- SectorGroup
- SectorListOf
- SectorPopulation
- SectorTraits

c

net.psforever.objects.zones.blockmap

# SectorGroup 

###
Companion object SectorGroup

#### class SectorGroup extends SectorPopulation

The specific datastructure that is mentioned when using the term "sector conglomerate". Typically used to compose the lists of entities from various individual sectors.

Source
  Sector.scala

Linear Supertypes
SectorPopulation, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SectorGroup
2. SectorPopulation
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SectorGroup(livePlayerList: List[Player], corpseList: List[Player], vehicleList: List[Vehicle], equipmentOnGroundList: List[Equipment], deployableList: List[Deployable], buildingList: List[Building], amenityList: List[Amenity], environmentList: List[PieceOfEnvironment])

   livePlayerList

     the living players

   corpseList

     the dead players

   vehicleList

     vehicles

   equipmentOnGroundList

     dropped equipment

   deployableList

     deployed combat engineering gear

   buildingList

     the structures

   amenityList

     the structures within the structures

   environmentList

     fields that represent the game world environment

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val amenityList: List[Amenity]
   Definition Classes
     SectorGroup → SectorPopulation
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val buildingList: List[Building]
   Definition Classes
     SectorGroup → SectorPopulation
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  val corpseList: List[Player]
   Definition Classes
     SectorGroup → SectorPopulation
9.  val deployableList: List[Deployable]
   Definition Classes
     SectorGroup → SectorPopulation
10.  val environmentList: List[PieceOfEnvironment]
    Definition Classes
      SectorGroup → SectorPopulation
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  val equipmentOnGroundList: List[Equipment]
    Definition Classes
      SectorGroup → SectorPopulation
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  val livePlayerList: List[Player]
    Definition Classes
      SectorGroup → SectorPopulation
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  def total: Int

    A count of all the entities in all the lists.

    A count of all the entities in all the lists.

    Definition Classes
      SectorPopulation
25.  val vehicleList: List[Vehicle]
    Definition Classes
      SectorGroup → SectorPopulation
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from SectorPopulation

### Inherited from AnyRef

### Inherited from Any

### Ungrouped